diff -urN dput-0.9.2.15/debian/changelog dput-0.9.2.16/debian/changelog
--- dput-0.9.2.15/debian/changelog	2004-11-13 22:22:03.000000000 +0100
+++ dput-0.9.2.16/debian/changelog	2004-12-17 18:00:01.000000000 +0100
@@ -1,3 +1,14 @@
+dput (0.9.2.16) unstable; urgency=low
+
+  * Switch back to using passive ftp by default (as it was prior to
+    0.9.2.15) and change the documentation accordingly.
+    Also try some guessing to instruct the user when we suspect that
+    passive vs. active ftp is the problem.
+    Closes: #283370
+  * Don't output the traceback when the ftp upload fails.
+
+ -- Thomas Viehmann <tv@beamnet.de>  Mon, 29 Nov 2004 20:59:27 +0100
+
 dput (0.9.2.15) unstable; urgency=low
 
   * More verbose error message for ftp uploads. And also use active
diff -urN dput-0.9.2.15/dput dput-0.9.2.16/dput
--- dput-0.9.2.15/dput	2004-09-27 20:31:18.000000000 +0200
+++ dput-0.9.2.16/dput	2004-12-17 18:46:31.000000000 +0100
@@ -26,7 +26,7 @@
 sys.path.insert(0,'/usr/share/dput/helper')
 import dputhelper
 
-dput_version = "dput 0.9.2.11"
+dput_version = "dput 0.9.2.16"
 
 config = None
 upload_methods = {}
@@ -101,7 +101,7 @@
     config.set('DEFAULT', 'post_upload_command', '')
     config.set('DEFAULT', 'pre_upload_command', '')
     config.set('DEFAULT', 'ssh_config_options', '')
-    config.set('DEFAULT', 'passive_ftp', '0')
+    config.set('DEFAULT', 'passive_ftp', '1')
     config.set('DEFAULT', 'progress_indicator', '0')
 
     if extra_config:
@@ -846,12 +846,11 @@
             if method == 'ftp':
                 ftp_mode = config.getboolean(host, 'passive_ftp')
                 if ftp_passive_mode == 1: ftp_mode = 1
-                if ftp_mode == 1:
-                    if debug:
-                        if ftp_passive_mode == 1:
-                            print "D: Using passive ftp"
-                        else:
-                            print "D: Using active ftp"
+		if debug:
+		    if ftp_mode == 1:
+			print "D: Using passive ftp"
+		    else:
+			print "D: Using active ftp"
                 upload_methods[method](
 		  fqdn, login, incoming,
 		  files_to_upload, debug, ftp_mode,
diff -urN dput-0.9.2.15/dput.1 dput-0.9.2.16/dput.1
--- dput-0.9.2.15/dput.1	2002-07-29 13:37:41.000000000 +0200
+++ dput-0.9.2.16/dput.1	2004-12-17 18:00:01.000000000 +0100
@@ -59,7 +59,8 @@
 .P
 .BR "-P",
 .B --passive
-\- use passive ftp instead of active.
+\- use passive ftp instead of active. Note that passive ftp is the default
+unless specified otherwise in the configuration file.
 .P
 .BR "-s",
 .B --simulate
diff -urN dput-0.9.2.15/dput.cf.5 dput-0.9.2.16/dput.cf.5
--- dput-0.9.2.15/dput.cf.5	2004-06-10 11:16:20.000000000 +0200
+++ dput-0.9.2.16/dput.cf.5	2004-12-17 18:00:01.000000000 +0100
@@ -87,10 +87,9 @@
 .TP
 .B passive_ftp
 This option defines if dput should use passive ftp or active ftp for uploading
-a package to one of the upload queues. By default, dput uses active ftp
-connections, but this may fail if, for example, you're uploading from behind
-a strictly configured firewall. In that case, you should use passive ftp to
-be able to upload.
+a package to one of the upload queues. By default, dput uses passive ftp
+connections. If you need to use active ftp connections, set
+passive_ftp to 0.
 .TP
 .B progress_indicator
 This integer option defines if dput should display a progress indicator for
diff -urN dput-0.9.2.15/ftp.py dput-0.9.2.16/ftp.py
--- dput-0.9.2.15/ftp.py	2004-09-25 15:23:05.000000000 +0200
+++ dput-0.9.2.16/ftp.py	2004-12-17 18:55:48.000000000 +0100
@@ -56,6 +56,11 @@
             print "done."
         except ftplib.all_errors, e:
             print "Error '%s' during ftp transfer of %s"%(str(e),package_name)
-	    raise
+	    if e.args and e.args[0][:1]=='5':
+	      print """Note: This error might indicate a problem with your passive_ftp setting.
+      Please consult dput.cf(5) for details on this configuration option."""
+	    if debug:
+		print "D: Should exit silently now, but will throw exception for debug."
+		raise
             sys.exit(1)
     ftp_connection.quit()
